;################################################################################
;#										#
;# copyright (c) 2011 Joerg Wolfram (joerg@jcwolfram.de)			#
;#										#
;#										#
;# This program is free software; you can redistribute it and/or		#
;# modify it under the terms of the GNU General Public License as 		#
;# published by the Free Software Foundation; either version 3 of		#
;# the License, or (at your option) any later version.				#
;#										#
;# This library is distributed in the hope that it will be useful,		#
;# but WITHOUT ANY WARRANTY; without even the implied warranty of		#
;# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the GNU		#
;# Lesser General Public License for more details.				#
;#										#
;# You should have received a copy of the GNU Lesser General Public		#
;# License along with this library; if not, write to the			#
;# Free Software Foundation, Inc., 59 Temple Place - Suite 330,			#
;# Boston, MA 02111-1307, USA.							#
;#										#
;################################################################################

.set	USE_VGA = 0
.set	USE_TV = 1
.set	USE_LCD = 1

;video config pins
.set	CONFPORT_0 = PINC
.set	CONFPIN_0  = 2
.set	CONFPORT_1 = PINC
.set	CONFPIN_1  = 4
.set	CONFPORT_2 = PINC
.set	CONFPIN_2  = 3

;video port
.set	VPORT = PORTC
.set	VDDR = DDRC
.set	VPIN = PINC

;video out port (UART1 TXD)
.set	VOPORT = PORTD
.set	VODDR = DDRD
.set	VOPIN = 3

.set	MODEPORT = PORTD
.set	MODEPIN = 7

;vsync port
.set	VSPORT = PORTD
.set	VSDDR = DDRD
.set	VSPIN = 6

;hsync port
.set	HSPORT = PORTD
.set	HSDDR = DDRD
.set	HSPIN = 5


;display port
.set	DPORT = PORTA
.set	DDDR = DDRA
.set	DPIN = PINA
.set	DPOS = 0

;swap character set 
; 0		no swap (most cases)
; 1		(for UNI systems at low nibble)
.set	CSWAP = 0
